var angular = require('angular');
require('../modules');
require('../../info/services/ModelService');
'use strict';

var module = angular.module('infoDisplay');

module.controller('InfoDisplayGroupCtrl', function($scope, ModelService, AppConfig) {
  var ctrl = this;
  ctrl.init = init;

  $scope.title = AppConfig.getModuleByName('infoDisplay').text;

  $scope.$on('$ionicView.beforeEnter', function() {
    init();
  });

  function init() {
    ModelService.getSelectedModels().then(function(models) {
      ctrl.models = models;
    });
  }
});
